## ircmarkers 0.5

=== Makefile ===
VERSION=ircmarkers
INSTALL_PROGRAMM=install

all: overlap ircmarkers.1

overlap:
	gcc -O2 -Wall -o overlap overlap.c

ircmarkers.1: ircmarkers
	pod2man --release="$(VERSION)" --center="User Documentation" $< > $@

ircmarkers.man: ircmarkers.1
	nroff -man $< > $@

ircmarkers.html: ircmarkers
	pod2html --title="$<" $< > $@

install: overlap ircmarkers.1
	$(INSTALL_PROGRAMM) -D ircmarkers $(DESTDIR)/usr/bin/ircmarkers
	for pm in IrcMarkers/{File,Map,Marker}.pm ; do \
		$(INSTALL_PROGRAMM) -D -m 664 $$pm $(DESTDIR)/usr/share/perl5/$$pm ; \
	done
	$(INSTALL_PROGRAMM) -D -s overlap $(DESTDIR)/usr/lib/ircmarkers/overlap
	$(INSTALL_PROGRAMM) -D -m 664 fixed_01.ttf $(DESTDIR)/usr/share/ircmarkers/fixed_01.ttf
	$(INSTALL_PROGRAMM) -D -m 664 ircmarkers.1 $(DESTDIR)/usr/share/man/man1/ircmarkers.1

tags:
	ctags ircmarkers IrcMarkers/*.pm

clean:
	rm -f overlap ircmarkers.1 ircmarkers.man ircmarkers.html tags pod2htm* example.jpg

.PHONY: all install tags clean

=== debian/changelog ===
ircmarkers (0.5) unstable; urgency=low

  * Fix several parsing bugs.
  * Links take color as option, support link_color none.
  * Computes rough bounding box (requested by Uli Martens).

 -- Christoph Berg <cb@df7cb.de>  Sat, 18 Sep 2004 13:34:10 +0200

ircmarkers (0.4) unstable; urgency=low

  * Allow arbitrary whitespace in config (requested by Uli Martens).
  * Fix center_lon check (requested by Elmar Hoffmann).
  * Support ~/ in file names.
  * Support negative label positions.

 -- Christoph Berg <cb@df7cb.de>  Tue,  7 Sep 2004 02:46:50 +0200

ircmarkers (0.3) unstable; urgency=low

  * Suggests: gnupg.
  * Removed unused dependency on libttf2.
  * Colors/borders/fonts/dotsize/shape configurable per marker.
  * Support all GD file formats.
  * Accept -o on command line.
  * Catch error for non-existing map.
  * Fix error in sinusoidal projection.
  * Complain about some unreasonable map defintions (thanks to Elmar Hoffmann
    for these suggestions).
  * Non-marker labels (for headlines etc).
  * Manpage: provide pointers to freely available maps.
  * Wrote INSTALL, example.map, and README.Debian files.

 -- Christoph Berg <cb@df7cb.de>  Wed,  1 Sep 2004 21:35:09 +0200

ircmarkers (0.2) unstable; urgency=low

  * Added view_lat/view_lon (thanks to Alexander Wirt for suggesting this).
  * Made size of output map configurable.
  * Added pointers to sites with coordinates to manpage.
  * Created Debian package (Closes: #262120).
  * Sponsored upload by Alexander Wirt <formorer@debian.org>

 -- Christoph Berg <cb@df7cb.de>  Sat, 31 Jul 2004 15:29:25 +0200

ircmarkers (0.1) unstable; urgency=low

  * Initial Release.

 -- Christoph Berg <cb@df7cb.de>  Sat, 10 Jul 2004 18:56:37 +0200

=== debian/control ===
Source: ircmarkers
Section: graphics
Priority: optional
Maintainer: Christoph Berg <cb@df7cb.de>
Uploaders: Alexander Wirt <formorer@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1.1

Package: ircmarkers
Architecture: any
Depends: libgd-gd2-perl, ${shlibs:Depends}, ${misc:Depends}
Suggests: gnupg
Description: place markers on maps at given coordinates
 IrcMarkers takes a map in .png or .jpg format and a list of coordinates and
 labels in xplanet format and places markers on the map. It was written to
 generate user maps of IRC channels. GnuPG/PGP key ids can be associated with
 each marker, to create "maps of trust".
 .
 http://www.df7cb.de/projects/ircmarkers/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSION=$(shell dpkg-parsechangelog 2>&1|egrep ^Version|cut -d " " -f 2)

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE) VERSION="ircmarkers $(VERSION)"
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ircmarkers


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ircmarkers 0.8

=== Makefile ===
NAME=ircmarkers
INSTALL_PROGRAMM=install
DEBUG=-DDEBUG
VERSION=$(shell dpkg-parsechangelog 2>&1 | perl -ne 'print $$1 if /^Version: ([^-]*)/')
TGZ=$(NAME)_$(VERSION).orig.tar.gz
TGZ_DIR=$(NAME)-$(VERSION)

all: overlap ircmarkers.1

overlap: overlap.c
	gcc -O2 -Wall $(DEBUG) -o overlap overlap.c

ircmarkers.1: ircmarkers
	pod2man --release="$(NAME)" --center="User Documentation" $< > $@

ircmarkers.man: ircmarkers.1
	nroff -man $< > $@

ircmarkers.html: ircmarkers
	pod2html --title="$<" $< > $@

install: overlap ircmarkers.1
	$(INSTALL_PROGRAMM) -D ircmarkers $(DESTDIR)/usr/bin/ircmarkers
	$(INSTALL_PROGRAMM) -D -m 664 IrcMarkers/File.pm $(DESTDIR)/usr/share/perl5/IrcMarkers/File.pm
	$(INSTALL_PROGRAMM) -D -m 664 IrcMarkers/Map.pm  $(DESTDIR)/usr/share/perl5/IrcMarkers/Map.pm
	$(INSTALL_PROGRAMM) -D -s overlap $(DESTDIR)/usr/lib/ircmarkers/overlap
	$(INSTALL_PROGRAMM) -D -m 664 fixed_01.ttf $(DESTDIR)/usr/share/ircmarkers/fixed_01.ttf
	$(INSTALL_PROGRAMM) -D -m 664 ircmarkers.1 $(DESTDIR)/usr/share/man/man1/ircmarkers.1

tags:
	ctags ircmarkers IrcMarkers/*.pm overlap.c

clean:
	rm -f overlap ircmarkers.1 ircmarkers.man ircmarkers.html tags pod2htm* example.jpg

dist:
	[ ! -f ../$(TGZ) ]
	mkdir ../$(TGZ_DIR)
	cp -a . ../$(TGZ_DIR)
	rm -rf ../$(TGZ_DIR)/debian
	find ../$(TGZ_DIR) -name .svn | xargs rm -rf
	cd .. && tar cvz -f $(TGZ) $(TGZ_DIR)
	rm -rf ../$(TGZ_DIR)

.PHONY: all install tags clean dist

## ircmarkers 0.12

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 NAME=ircmarkers
 INSTALL_PROGRAMM=install
-DEBUG=-DDEBUG
+#DEBUG=-DDEBUG
 VERSION=$(shell dpkg-parsechangelog 2>&1 | perl -ne 'print $$1 if /^Version: ([^-]*)/')
 TGZ=$(NAME)_$(VERSION).orig.tar.gz
 TGZ_DIR=$(NAME)-$(VERSION)
@@ -8,7 +8,7 @@
 all: overlap ircmarkers.1
 
 overlap: overlap.c
-	gcc -O2 -Wall $(DEBUG) -o overlap overlap.c
+	gcc -g -O2 -Wall $(DEBUG) -o overlap overlap.c
 
 ircmarkers.1: ircmarkers
 	pod2man --release="$(NAME)" --center="User Documentation" $< > $@

## ircmarkers 0.13

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	$(INSTALL_PROGRAMM) -D ircmarkers $(DESTDIR)/usr/bin/ircmarkers
 	$(INSTALL_PROGRAMM) -D -m 664 IrcMarkers/File.pm $(DESTDIR)/usr/share/perl5/IrcMarkers/File.pm
 	$(INSTALL_PROGRAMM) -D -m 664 IrcMarkers/Map.pm  $(DESTDIR)/usr/share/perl5/IrcMarkers/Map.pm
-	$(INSTALL_PROGRAMM) -D -s overlap $(DESTDIR)/usr/lib/ircmarkers/overlap
+	$(INSTALL_PROGRAMM) -D overlap $(DESTDIR)/usr/lib/ircmarkers/overlap
 	$(INSTALL_PROGRAMM) -D -m 664 fixed_01.ttf $(DESTDIR)/usr/share/ircmarkers/fixed_01.ttf
 	$(INSTALL_PROGRAMM) -D -m 664 ircmarkers.1 $(DESTDIR)/usr/share/man/man1/ircmarkers.1

## ircmarkers 0.14-3

=== Makefile ===
--- 
+++ 
@@ -35,6 +35,7 @@
 
 dist:
 	[ ! -f ../$(TGZ) ]
+	[ -d debian ] && fakeroot debian/rules clean
 	mkdir ../$(TGZ_DIR)
 	cp -a . ../$(TGZ_DIR)
 	rm -rf ../$(TGZ_DIR)/debian

=== debian/changelog ===
ircmarkers (0.14-3) unstable; urgency=low

  * Set POD encoding utf8. (Closes: #724087)

 -- Christoph Berg <myon@debian.org>  Wed, 25 Sep 2013 17:28:02 +0200

ircmarkers (0.14-2) unstable; urgency=low

  * Suggest ttf-dejavu-core, our fixed_01.ttf doesn't support the more fancy
    unicode characters. (Closes: 528220)

 -- Christoph Berg <myon@debian.org>  Tue, 26 May 2009 22:40:33 +0200

ircmarkers (0.14-1) unstable; urgency=low

  * Support coordinates in N 51° 11.123 E 006° 25.846 and similar formats.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Mar 2008 16:46:02 +0100

ircmarkers (0.13-1) unstable; urgency=low

  * Allow + prefix on coordinates.

 -- Christoph Berg <myon@debian.org>  Sat, 24 Nov 2007 15:26:16 +0100

ircmarkers (0.12-2) unstable; urgency=low

  * Support DEB_BUILD_OPTIONS=nostrip (Closes: #437232).

 -- Christoph Berg <myon@debian.org>  Sat, 11 Aug 2007 12:58:28 +0200

ircmarkers (0.12-1) unstable; urgency=low

  * Fix segfault when all markers are outside the visible area, and print
    warning in that case.
  * The -x and -y documentation was mixed up in the --help output.
    Spotted by Andreas Gockel.

 -- Christoph Berg <myon@debian.org>  Wed, 20 Dec 2006 16:08:28 +0100

ircmarkers (0.11-1) unstable; urgency=low

  * Support Maidenhead (QTH) locator format.
  * Do not bark on markers without coordinates.
  * Draw US-AU links across the Pacific.

 -- Christoph Berg <myon@debian.org>  Fri,  3 Nov 2006 16:41:57 +0100

ircmarkers (0.10-2) unstable; urgency=low

  * Move to Priority: extra.
  * Add debtags to debian/control.

 -- Christoph Berg <myon@debian.org>  Fri, 22 Sep 2006 14:28:33 +0200

ircmarkers (0.10-1) unstable; urgency=low

  * Add option for data export in pisg(1) <user> syntax.

 -- Christoph Berg <myon@debian.org>  Fri, 28 Jul 2006 17:00:19 +0200

ircmarkers (0.9-1) unstable; urgency=low

  * Add recv-keys option.
  * Fix overlap.c memory allocator and clean up code.
  * Update copyright stuff.

 -- Christoph Berg <myon@debian.org>  Wed, 22 Feb 2006 01:46:11 +0100

ircmarkers (0.8-1) unstable; urgency=low

  * Disable non-functional help_convert_crop code.
  * Non-native package.

 -- Christoph Berg <myon@debian.org>  Fri, 16 Dec 2005 00:55:23 +0100

ircmarkers (0.7) unstable; urgency=low

  * Support markers without label (thanks to Torbjörn Svensson for the
    suggestion).
  * Bump Standards-Version.
  * Finally an upload after 0.6 being used locally for a year...

 -- Christoph Berg <myon@debian.org>  Sun,  4 Dec 2005 22:11:31 +0100

ircmarkers (0.6) unreleased; urgency=low

  * Could previously not draw markers with lat = 0.
  * Add support for HTML image maps.
  * Marker labels do not have to be unique anymore.
  * Compute better bounding box.
  * Compute links per marker instead per key.
  * Code cleanup.
  * Add debian/watch.

 -- Christoph Berg <cb@df7cb.de>  Sun, 14 Nov 2004 01:51:42 +0100

=== debian/control ===
Source: ircmarkers
Section: graphics
Priority: extra
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.1
Vcs-Browser: http://svn.df7cb.de/ircmarkers/trunk/
Vcs-Svn: http://svn.df7cb.de/ircmarkers/trunk/
Homepage: http://www.df7cb.de/projects/ircmarkers/

Package: ircmarkers
Architecture: any
Depends: libgd-gd2-perl, ${shlibs:Depends}, ${misc:Depends}
Suggests: gnupg, ttf-dejavu-core
Description: place markers on maps at given coordinates
 IrcMarkers takes a map in .png or .jpg format and a list of coordinates and
 labels in xplanet format and places markers on the map. It was written to
 generate user maps of IRC channels. GnuPG/PGP key ids can be associated with
 each marker, to create "maps of trust".
Tag: field::geography, implemented-in::perl, interface::commandline, role::program, scope::utility, use::TODO, use::entertaining, works-with-format::jpg, works-with-format::png, works-with::image:raster

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSION=$(shell dpkg-parsechangelog 2>&1|egrep ^Version|cut -d " " -f 2)

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) VERSION="ircmarkers $(VERSION)"
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ircmarkers


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ircmarkers 0.15

=== test/Makefile ===
test: square.jpg mercator.jpg sinusoidal.jpg

test%.map:
	for lat in $$(seq -90 $* 90); do for lon in $$(seq -180 $* 180); do echo $$lat $$lon \"$$lat $$lon\"; done; done > $@

square.jpg: test15.map ../ircmarkers ../IrcMarkers/*.pm
	perl -I .. ../ircmarkers test15.map 1920px-Equirectangular-projection.jpg $@

mercator.jpg: test10.map mercator.map ../ircmarkers ../IrcMarkers/*.pm
	perl -I .. ../ircmarkers mercator.map Normal_Mercator_map_85deg.jpg $@

sinusoidal.jpg: test10.map sinusoidal.map ../ircmarkers ../IrcMarkers/*.pm
	perl -I .. ../ircmarkers sinusoidal.map 1920px-Sinusoidal_Projection_11-5-30.jpg $@

clean:
	rm -f square.jpg mercator.jpg sinusoidal.jpg test*.map

=== debian/changelog ===
ircmarkers (0.15-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.

  [ Christoph Berg ]
  * Update Git URLs.

 -- Christoph Berg <myon@debian.org>  Tue, 31 Aug 2021 16:49:05 +0200

ircmarkers (0.15-2) unstable; urgency=medium

  * Bump to compat 11.

 -- Christoph Berg <myon@debian.org>  Sat, 19 May 2018 16:28:27 +0200

ircmarkers (0.15-1) unstable; urgency=medium

  * Rename default map projection to square (equirectangular projection),
    mercator projection is really something else.
  * Fix sinusoidal projection to actually work.
  * Add real mercator projection.
  * Also draw markers where lat is 0.
  * Bump to dh 9 and 3.0 (quilt).

 -- Christoph Berg <myon@debian.org>  Mon, 09 Jun 2014 23:54:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: ircmarkers
 Section: graphics
-Priority: extra
+Priority: optional
 Maintainer: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 5)
-Standards-Version: 3.8.1
-Vcs-Browser: http://svn.df7cb.de/ircmarkers/trunk/
-Vcs-Svn: http://svn.df7cb.de/ircmarkers/trunk/
-Homepage: http://www.df7cb.de/projects/ircmarkers/
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.0
+Vcs-Browser: https://github.com/df7cb/ircmarkers
+Vcs-Git: https://github.com/df7cb/ircmarkers.git
+Homepage: https://www.df7cb.de/projects/ircmarkers/
 
 Package: ircmarkers
 Architecture: any

=== debian/watch ===
version=4
http://www.df7cb.de/projects/ircmarkers/packages/ircmarkers_([0-9.-]*)(?:.orig)?.tar.gz

## ircmarkers 0.16

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,12 @@
 NAME=ircmarkers
+CC=gcc
 INSTALL_PROGRAMM=install
 #DEBUG=-DDEBUG
-VERSION=$(shell dpkg-parsechangelog 2>&1 | perl -ne 'print $$1 if /^Version: ([^-]*)/')
-TGZ=$(NAME)_$(VERSION).orig.tar.gz
-TGZ_DIR=$(NAME)-$(VERSION)
 
 all: overlap ircmarkers.1
 
 overlap: overlap.c
-	gcc -g -O2 -Wall $(DEBUG) -o overlap overlap.c
+	$(CC) -g -O2 -Wall $(DEBUG) -o overlap overlap.c
 
 ircmarkers.1: ircmarkers
 	pod2man --release="$(NAME)" --center="User Documentation" $< > $@
@@ -33,14 +31,4 @@
 clean:
 	rm -f overlap ircmarkers.1 ircmarkers.man ircmarkers.html tags pod2htm* example.jpg
 
-dist:
-	[ ! -f ../$(TGZ) ]
-	[ -d debian ] && fakeroot debian/rules clean
-	mkdir ../$(TGZ_DIR)
-	cp -a . ../$(TGZ_DIR)
-	rm -rf ../$(TGZ_DIR)/debian
-	find ../$(TGZ_DIR) -name .svn | xargs rm -rf
-	cd .. && tar cvz -f $(TGZ) $(TGZ_DIR)
-	rm -rf ../$(TGZ_DIR)
-
-.PHONY: all install tags clean dist
+.PHONY: all install tags clean

=== debian/changelog ===
ircmarkers (0.16-1) unstable; urgency=medium

  * Make Makefile crossbuild-compatible. Thanks to Helmut Grohne for the
    patch! (Closes: #993456)
  * debian/control: Drop debtags.
  * debian/watch: Get release tarballs from GitHub.

 -- Christoph Berg <myon@debian.org>  Tue, 24 Oct 2023 14:58:23 +0200

## ircmarkers 0.17

=== Makefile ===
NAME = ircmarkers
CFLAGS ?= -Wall -g -O2
INSTALL ?= install

all: overlap ircmarkers.1

overlap: overlap.c

ircmarkers.1: ircmarkers
	pod2man --release="$(NAME)" --center="User Documentation" $< > $@

ircmarkers.man: ircmarkers.1
	nroff -man $< > $@

ircmarkers.html: ircmarkers
	pod2html --title="$<" $< > $@

install: overlap ircmarkers.1
	$(INSTALL) -D ircmarkers $(DESTDIR)/usr/bin/ircmarkers
	$(INSTALL) -D -m 664 IrcMarkers/File.pm $(DESTDIR)/usr/share/perl5/IrcMarkers/File.pm
	$(INSTALL) -D -m 664 IrcMarkers/Map.pm  $(DESTDIR)/usr/share/perl5/IrcMarkers/Map.pm
	$(INSTALL) -D overlap $(DESTDIR)/usr/lib/ircmarkers/overlap
	$(INSTALL) -D -m 664 fixed_01.ttf $(DESTDIR)/usr/share/ircmarkers/fixed_01.ttf
	$(INSTALL) -D -m 664 ircmarkers.1 $(DESTDIR)/usr/share/man/man1/ircmarkers.1

tags:
	ctags ircmarkers IrcMarkers/*.pm overlap.c

clean:
	rm -f overlap ircmarkers.1 ircmarkers.man ircmarkers.html tags pod2htm* example.jpg

.PHONY: all install tags clean

=== debian/changelog ===
ircmarkers (0.17-2) unstable; urgency=medium

  * Depend on libgd-perl instead of libgd-gd2-perl. (Closes: #1126357)
  * Drop Suggests: ttf-dejavu-core.

 -- Christoph Berg <myon@debian.org>  Sat, 24 Jan 2026 21:47:20 +0100

ircmarkers (0.17-1) unstable; urgency=medium

  * Use standard compiler flags. (Closes: #1119453)

 -- Christoph Berg <myon@debian.org>  Fri, 07 Nov 2025 11:27:07 +0100

=== debian/control ===
Source: ircmarkers
Section: graphics
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://github.com/df7cb/ircmarkers
Vcs-Git: https://github.com/df7cb/ircmarkers.git
Homepage: https://www.df7cb.de/projects/ircmarkers/

Package: ircmarkers
Architecture: any
Depends: libgd-perl, ${shlibs:Depends}, ${misc:Depends}
Suggests: gnupg
Description: place markers on maps at given coordinates
 IrcMarkers takes a map in .png or .jpg format and a list of coordinates and
 labels in xplanet format and places markers on the map. It was written to
 generate user maps of IRC channels. GnuPG/PGP key ids can be associated with
 each marker, to create "maps of trust".
